summaryrefslogtreecommitdiffstats
path: root/tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests.sh')
-rwxr-xr-xtests.sh6
1 files changed, 2 insertions, 4 deletions
diff --git a/tests.sh b/tests.sh
index 34cb9f0..4d1ee57 100755
--- a/tests.sh
+++ b/tests.sh
@@ -2982,14 +2982,12 @@ function test_exclude_exclude() {
}
function test_flags() {
- if ! quiet invoke_bfs scratch -quit -flags offline; then
- return 0
- fi
+ quiet invoke_bfs scratch -quit -flags offline || return 0
rm -rf scratch/*
touch scratch/{foo,bar}
- quiet chflags offline scratch/bar
+ chflags offline scratch/bar || return 0
bfs_diff scratch -flags -offline,nohidden
}